parameters:
  ckeditor5.skip_procedural_hook_scan: true

services:
  _defaults:
    autoconfigure: true
  plugin.manager.ckeditor5.plugin:
    class: Drupal\ckeditor5\Plugin\CKEditor5PluginManager
    parent: default_plugin_manager
  Drupal\ckeditor5\Plugin\CKEditor5PluginManagerInterface: '@plugin.manager.ckeditor5.plugin'
  ckeditor5.smart_default_settings:
    class: Drupal\ckeditor5\SmartDefaultSettings
    arguments:
      - '@plugin.manager.ckeditor5.plugin'
      - '@logger.channel.ckeditor5'
      - '@module_handler'
      - '@current_user'
  Drupal\ckeditor5\SmartDefaultSettings: '@ckeditor5.smart_default_settings'
  ckeditor5.ckeditor5_cache_tag:
    class: Drupal\ckeditor5\EventSubscriber\CKEditor5CacheTag
    arguments: ['@cache_tags.invalidator']
  logger.channel.ckeditor5:
    parent: logger.channel_base
    arguments: [ 'ckeditor5' ]
  Drupal\ckeditor5\LanguageMapper:
    autowire: true
